Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Eric Kok
AuthorWebSite: https://ekok.nl/
WebSite: https://www.transdroid.org/
SourceCode: https://github.com/erickok/transdroid
IssueTracker: https://github.com/erickok/transdroid/issues
Changelog: https://github.com/erickok/transdroid/releases
Donate: https://paypal.me/erickoknl

Name: Transdrone
AutoName: ColorPickerPreference
Description: |-
    Allows you to manage the torrents you run on your home server or seedbox. You
    can add torrents, start/stop them, assign labels, view trackers and individual
    files, set priorities and much more!

    Most popular clients are supported, including uTorrent, Transmission, rTorrent,
    BitTorrent 6, Deluge, Vuze, Bitflu, BitComet, Qbittorrent, Ktorrent and
    Torrentflux-b4rt. Plus Synology, D-Link and Buffalo NAS clients.

    Transdrone is the little brother to Transdroid. Looking for integrated torrent
    search or RSS feeds? Then you might check out the full https://f-droid.org/packages/org.transdroid.full
    version.

    See also https://f-droid.org/packages/org.transdroid.search.

RepoType: git
Repo: https://github.com/erickok/transdroid.git

Builds:
  - versionName: 2.3.0
    versionCode: 217
    commit: v2.3.0
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/lite/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml
      - "sed -i \"s;apply from: '../signing.gradle';;\" build.gradle"

  - versionName: 2.5.1
    versionCode: 221
    commit: v2.5.1
    subdir: app
    gradle:
      - lite
    srclibs:
      - Material-Dialogs@v0.6.3.3
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml
      - pushd $$Material-Dialogs$$
      - echo "sdk.dir=$ANDROID_HOME" > local.properties
      - sed -i 's;21.1.2;23;' build.gradle
      - gradle assembleRelease
      - gradle publishToMavenLocal
      - popd

  - versionName: 2.5.4
    versionCode: 224
    disable: material-dialogs gone
    commit: v2.5.4
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml

  - versionName: 2.5.5
    versionCode: 225
    commit: v2.5.5
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml

  - versionName: 2.5.6
    versionCode: 226
    disable: runs lint and errors
    commit: v2.5.6
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml

  - versionName: 2.5.7
    versionCode: 227
    commit: v2.5.7
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml

  - versionName: 2.5.8
    versionCode: 228
    commit: v2.5.8
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml

  - versionName: 2.5.9
    versionCode: 229
    commit: v2.5.9
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml

  - versionName: 2.5.10
    versionCode: 230
    commit: v2.5.10
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml

  - versionName: 2.5.19
    versionCode: 239
    commit: v2.5.20-beta3
    subdir: app
    gradle:
      - lite
    prebuild:
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/full/res/values/bools.xml
      - sed -i 's;<bool name="updatecheck_available">true</bool>;<bool name="updatecheck_available">false</bool>;'
        src/main/res/values/bools.xml

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
UpdateCheckName: org.transdroid.full
UpdateCheckData: app/build.gradle|versionCode\s(\d+)|.|versionName\s'([\d.]+)'
CurrentVersion: 2.5.19
CurrentVersionCode: 239
